Bug 1506821 - new rpms invm-frameworks
Summary: new rpms invm-frameworks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: ---
Assignee: Lubos Kocman
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1507839
TreeView+ depends on / blocked
 
Reported: 2017-10-26 21:11 UTC by Jeff Moyer
Modified: 2018-04-10 10:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 10:19:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0700 None None None 2018-04-10 10:19:59 UTC

Description Jeff Moyer 2017-10-26 21:11:03 UTC
Description of problem:

After importing builds into an erratum, the tools notes that the following two packages are not in product listings.  I need these to be added.  We are replacing the following 3 packages with the invm-frameworks subpackage in this rpm:

libinvm-cim
libinvm-cli
libinvm-i18n

So please add these two rpms to product listings:

x86_64 	/mnt/redhat/brewroot/packages/ixpdimm_sw/01.00.00.2345/3.el7/x86_64/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
x86_64 	/mnt/redhat/brewroot/packages/ixpdimm_sw/01.00.00.2345/3.el7/x86_64/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm

Comment 2 Jeff Moyer 2017-11-03 14:18:03 UTC
Still waiting on some help, here.  I've got this package added to the rebase whitelist.  See:
  https://projects.engineering.redhat.com/browse/RCM-23776

Comment 3 Lubos Kocman 2017-11-06 08:57:46 UTC
Hello folks,

nothing to do here. This change was driven by engineering. Seems like something that was requiring these packages wasn't pulled into compose until recently. Just reload filelists in errata. https://mojo.redhat.com/docs/DOC-1135001

# filelist corespond with placement in compose.
lkocman@rcm-dev:redhat-release> locate-rhel7-rpms invm-frameworks
Searching in /mnt/redhat/nightly/latest-RHEL-7/
Client/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
Client-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
ComputeNode/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
ComputeNode-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
Server/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
Server-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
Workstation/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
Workstation-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
Searching in /mnt/redhat/nightly/latest-Supp-7-RHEL-7/

Comment 4 Jeff Moyer 2017-11-06 17:27:20 UTC
I tried reloading the file list, and rpmdiff is still complaining that new subpackages have been added:
  https://errata.devel.redhat.com/rpmdiff/show/184859?result_id=5122284

According to the rpmdiff help page for this test:

"Waiving

  As of Tuesday 2011-12-06, per bz489981, these rpmdiff results can only be waived by Release Engineering."

So I need someone from RCM to weigh in, here.

Comment 5 Lubos Kocman 2017-11-28 14:03:39 UTC
Ah This is really about rpmdiff only. I did waive, it there was expected to be a JIRA ticket generated by ET to waive rpmdiff, I couldn't find it.

I did see that package is already in filelists. So I consider issue resolved since it was really just rpmdiff.

(Please note that it takes about 24h after the change is propagated from build to compose, as composes are executed on nightly basis).

Moving to modified but really nothing to do for RCM except of that waiver.

Double checking filelists and all looks good (devel is expected in optional).

lkocman@rcm-dev:comps> locate-rhel7-rpms invm-frameworks
Searching in /mnt/redhat/nightly/latest-RHEL-7/
Client/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
Client-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
ComputeNode/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
ComputeNode-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
Server/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
Server-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
Workstation/x86_64/os/Packages/invm-frameworks-01.00.00.2007-3.el7.x86_64.rpm
Workstation-optional/x86_64/os/Packages/invm-frameworks-devel-01.00.00.2007-3.el7.x86_64.rpm
Searching in /mnt/redhat/nightly/latest-Supp-7-RHEL-7/



Lubos

Comment 10 errata-xmlrpc 2018-04-10 10:19:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0700


Note You need to log in before you can comment on or make changes to this bug.